<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.view.dialogs.base.DialogSimpleMessageView" />

    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/base_root"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="16dp"
            android:paddingVertical="16dp">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/title_icon"
                style="@style/MaterialAlertDialog.Material3.Title.Icon.CenterStacked"
                android:layout_width="36dp"
                android:layout_height="36dp"
                android:src="@drawable/ic_error_white_24dp"
                app:tint="?colorPrimary" />


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                style="@style/MaterialAlertDialog.Material3.Title.Text.CenterStacked"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                tools:text="Title here" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/description_text"
                style="@style/MaterialAlertDialog.Material3.Body.Text.CenterStacked"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                tools:text="Description here" />


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/dialog_content_hashmap"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:orientation="vertical"
                android:paddingHorizontal="12dp" />


            <!--                <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                    android:layout_width="match_parent"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_marginTop="8dp"-->
            <!--                    android:visibility="@{view.negativeVisible &amp;&amp; !view.neutralVisible ? View.VISIBLE : View.GONE}">-->

            <!--                    <androidx.constraintlayout.widget.Guideline-->
            <!--                        android:id="@+id/center_guideline"-->
            <!--                        android:layout_width="wrap_content"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:orientation="vertical"-->
            <!--                        app:layout_constraintGuide_percent="0.5" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.OutlinedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        android:onClick="@{() -> view.onNegativeClick()}"-->
            <!--                        android:text="@{view.negativeButtonText}"-->
            <!--                        tools:text="Neutral"-->
            <!--                        app:layout_constraintEnd_toStartOf="@id/center_guideline"-->
            <!--                        app:layout_constraintStart_toStartOf="parent"-->
            <!--                        app:layout_constraintTop_toTopOf="parent" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.UnelevatedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        android:onClick="@{() -> view.onPositiveClick()}"-->
            <!--                        android:text="@{view.positiveButtonText}"-->
            <!--                        tools:text="Positive"-->
            <!--                        app:layout_constraintEnd_toEndOf="parent"-->
            <!--                        app:layout_constraintStart_toStartOf="@id/center_guideline"-->
            <!--                        app:layout_constraintTop_toTopOf="parent" />-->


            <!--                </androidx.constraintlayout.widget.ConstraintLayout>-->

            <!--                <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                    android:layout_width="match_parent"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_marginTop="8dp"-->
            <!--                    android:visibility="@{!view.negativeVisible &amp;&amp; !view.neutralVisible ? View.VISIBLE : View.GONE}">-->


            <!--                    <androidx.constraintlayout.widget.Guideline-->
            <!--                        android:id="@+id/ok_left_buttons_guideline"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:orientation="vertical"-->
            <!--                        app:layout_constraintGuide_percent="0.25" />-->

            <!--                    <androidx.constraintlayout.widget.Guideline-->
            <!--                        android:id="@+id/ok_right_buttons_guideline"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:orientation="vertical"-->
            <!--                        app:layout_constraintGuide_percent="0.75" />-->

            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.UnelevatedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        tools:text="Positive"-->
            <!--                        android:onClick="@{() -> view.onPositiveClick()}"-->
            <!--                        android:text="@{view.positiveButtonText}"-->
            <!--                        app:layout_constraintEnd_toEndOf="@id/ok_right_buttons_guideline"-->
            <!--                        app:layout_constraintStart_toStartOf="@id/ok_left_buttons_guideline"-->
            <!--                        app:layout_constraintTop_toTopOf="parent" />-->


            <!--                </androidx.constraintlayout.widget.ConstraintLayout>-->

            <!--                <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                    android:layout_width="match_parent"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_marginTop="8dp"-->
            <!--                    android:visibility="@{view.negativeVisible &amp;&amp; view.neutralVisible ? View.VISIBLE : View.GONE}">-->

            <!--                    <androidx.constraintlayout.widget.Guideline-->
            <!--                        android:id="@+id/left_buttons_guideline"-->
            <!--                        android:layout_width="wrap_content"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:orientation="vertical"-->
            <!--                        app:layout_constraintGuide_percent="0.33" />-->

            <!--                    <androidx.constraintlayout.widget.Guideline-->
            <!--                        android:id="@+id/right_buttons_guideline"-->
            <!--                        android:layout_width="wrap_content"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:orientation="vertical"-->
            <!--                        app:layout_constraintGuide_percent="0.66" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Button.DangerFull"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        tools:text="Negative"-->
            <!--                        android:onClick="@{() -> view.onNegativeClick()}"-->
            <!--                        android:text="@{view.negativeButtonText}"-->
            <!--                        app:layout_constraintEnd_toStartOf="@id/left_buttons_guideline"-->
            <!--                        app:layout_constraintStart_toStartOf="parent"-->
            <!--                        app:layout_constraintTop_toTopOf="parent" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.OutlinedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        tools:text="Neutral"-->
            <!--                        android:onClick="@{() -> view.onNeutralClick()}"-->
            <!--                        android:text="@{view.neutralButtonText}"-->
            <!--                        app:layout_constraintEnd_toStartOf="@id/right_buttons_guideline"-->
            <!--                        app:layout_constraintStart_toStartOf="@id/left_buttons_guideline"-->
            <!--                        app:layout_constraintTop_toTopOf="parent"-->
            <!--                        app:strokeColor="@color/colorPrimary" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.UnelevatedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        tools:text="Positive"-->
            <!--                        android:onClick="@{() -> view.onPositiveClick()}"-->
            <!--                        android:text="@{view.positiveButtonText}"-->
            <!--                        app:layout_constraintEnd_toEndOf="parent"-->
            <!--                        app:layout_constraintStart_toStartOf="@id/right_buttons_guideline"-->
            <!--                        app:layout_constraintTop_toTopOf="parent" />-->


            <!--                </androidx.constraintlayout.widget.ConstraintLayout>-->

            <!--                <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                    android:layout_width="match_parent"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_marginTop="8dp"-->
            <!--                    android:visibility="@{!view.negativeVisible &amp;&amp; view.neutralVisible ? View.VISIBLE : View.GONE}">-->

            <!--                    <androidx.constraintlayout.widget.Guideline-->
            <!--                        android:id="@+id/center_guideline2"-->
            <!--                        android:layout_width="wrap_content"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:orientation="vertical"-->
            <!--                        app:layout_constraintGuide_percent="0.5" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.OutlinedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        tools:text="Neutral"-->
            <!--                        android:onClick="@{() -> view.onNeutralClick()}"-->
            <!--                        android:text="@{view.neutralButtonText}"-->
            <!--                        app:layout_constraintEnd_toStartOf="@id/center_guideline2"-->
            <!--                        app:layout_constraintStart_toStartOf="parent"-->
            <!--                        app:layout_constraintTop_toTopOf="parent"-->
            <!--                        app:strokeColor="@color/colorPrimary" />-->


            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        style="@style/Widget.Material3.Button.UnelevatedButton"-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginLeft="8dp"-->
            <!--                        android:layout_marginRight="8dp"-->
            <!--                        tools:text="Positive"-->
            <!--                        android:onClick="@{() -> view.onPositiveClick()}"-->
            <!--                        android:text="@{view.positiveButtonText}"-->
            <!--                        app:layout_constraintEnd_toEndOf="parent"-->
            <!--                        app:layout_constraintStart_toStartOf="@id/center_guideline2"-->
            <!--                        app:layout_constraintTop_toTopOf="parent" />-->


            <!--                </androidx.constraintlayout.widget.ConstraintLayout>-->

        </androidx.appcompat.widget.LinearLayoutCompat>


    </androidx.cardview.widget.CardView>


</layout>